Subject: Huge discounts on watches

From: " Ccalder" <[email-masked] >
Date: Fri, 6 Jul 2007 06:40:35 +0300

Don’t have enough dough to buy the timepiece you want? See our replica store!
Why pay more for the same blameless quality? Our prices will please you!
Choose your favorite model by your favorite brand – we definitely have it!
http://slonoima.com